/*
 * $Id: gccHostControl.h,v 1.1 2000/03/22 13:58:34 RHo Exp unknown $
 *
 * We need this because the old gcc (2.7.2.2) doesn't support traps with 
 * selectors. 
 * Remo Hofer 14. 2. 2000
 */

#include <HostControl.h>

#ifdef __GNUC__
#if __GNUC__ < 2 || (__GNUC__ == 2 && __GNUC_MINOR__ < 95)

#ifndef _GCC_HOSTCONTROL_H_
#define _GCC_HOSTCONTROL_H_

long	_HostFClose(UInt16, HostFILE* f) SYS_TRAP(sysTrapHostControl);
#define	HostFClose(f)	_HostFClose(hostSelectorFClose, f)					

long	_HostFFlush(UInt16, HostFILE* f) SYS_TRAP(sysTrapHostControl);
#define	HostFFlush(f)	_HostFFlush(hostSelectorFFlush, f)

HostFILE*	_HostFOpen(UInt16, const char* name, const char* mode) SYS_TRAP(sysTrapHostControl);
#define	HostFOpen(name, mode)	_HostFOpen(hostSelectorFOpen, name, mode)

long	_HostFPutS(UInt16, const char* s, HostFILE* f) SYS_TRAP(sysTrapHostControl);
#define HostFPutS(s, f)	_HostFPutS(hostSelectorFPutS, s, f)

HostFILE*	_HostLogFile(UInt16) SYS_TRAP(sysTrapHostControl);
#define	HostLogFile()	_HostLogFile(hostSelectorLogFile)

#endif /* _GCC_HOSTCONTROL_H_ */
#endif /* __GNUC__ < 2.95 */
#endif /* __GNUC__ */
